> ## Documentation Index
> Fetch the complete documentation index at: https://docs.methodfi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Queue Connect Behaviors

Use this simulation to queue connect behaviors that run the next time you execute the Connect product for an entity.

> [!WARNING]
>
> Simulation endpoints are only available in the development environment. Teams with live treasury access cannot use them.

> [!WARNING]
>
> A maximum of 5 connect behaviours can be configured for a given entity.

## Path Parameters

## Body

```bash cURL theme={null}
curl https://dev.methodfi.com/simulate/entities/{entity_id}/connect \
  -X POST \
  -H "Method-Version: 2026-03-30" \
  -H "Authorization: Bearer sk_test_xxx" \
  -H "Content-Type: application/json" \
  -d '{
    "behaviors": ["new_credit_card_account"]
    }'
```

```javascript Node.js theme={null}
const connectSimulationConfiguration = await method
  .simulate
  .entities(entityId)
  .connect
  .create({
    behaviors: ["new_credit_card_account"]
  });
```

```python Python theme={null}
connect_simulation_configuration = method.simulate.entities(entity_id).connect.create({
  "behaviors": ["new_credit_card_account"]
})
```

```json theme={null}
{
  "success": true,
  "data": null,
  "message": null
}
```


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.